﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WS42Xs: (1 yr) VER IEEE /9500/600+2Hd,DMM
DATE:                  2011-11-28 10:16:25
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       267
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Models covered:
#        WS42Xs
# 
#  Source(s):
#        Chapter 5 - WSXs Performance Verification Rev C.pdf
#        Chapter 5 - WSXs Performance Verification Test Record rev C.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM
#        Sub Datron 9500 Configuration Query IEEE
#        Sub LeCroy WS-GPIB Connection
#        Sub LeCroy WS-GPIB Setup
#        Sub LeCroy WS-GPIB Initialization
#        Sub LeCroy WSXs Set BW & Number of Channels
#        Sub LeCroy WSXs Self-Test IEEE
#        Sub LeCroy WSXs Cal Initialize IEEE
#        Sub LeCroy WSXs Check Software Option IEEE
#        Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
#        Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /9500
#        Sub LeCroy WSXs (1 yr) Ext Input Impedance IEEE /9500
#        Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /9500
#        Sub LeCroy WSXs (1 yr) Offset Acc IEEE /9500
#        Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /9500
#        Sub LeCroy WSXs (1 yr) Bandwidth IEEE /9500/600
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WaveSurfer 64Xs
#        Serial No : LCRY0308M16337
#        Options   :
#        Firmware  : 5.1.1
#
#        Model No  : LeCroy WS-GPIB
#        Serial No : 040933
#        Options   :
#        Firmware  :
#
# Average run time during testing :  16 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         400.1MH                      1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         400.1MH                      1Vpp           LS    S  L
  1.006  IEEE         [@DMM]
  1.007  ENDIF

  1.008  ASK-   R   Q N              P                            A        V

  1.009  MATH         @ReqMetCalVersion = "7.20"
  1.010  CALL         Sub MET/CAL Version Check

  1.011  IF           NOT(@MetCalVersionOK)
  1.012  DISP         This procedure requires MET/CAL 7.20 or later.
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method (No NTHROW)

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         20 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  CALL         Sub LeCroy WS-GPIB Connection
  1.022  CALL         Sub LeCroy WS-GPIB Setup
  1.023  CALL         Sub LeCroy WS-GPIB Initialization

  1.024  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.025  MATH         L[2] = ZCMPI(@ModelNum, "WS42Xs")

  1.026  IF           NOT(L[1]) || NOT(L[2])
  1.027  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.027  DISP         not a LeCroy WS42Xs!
  1.028  END
  1.029  ENDIF

  1.030  CALL         Sub Datron 9500 Configuration Query IEEE

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to REVIEW the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or
  1.034  DISP         accessories are required:
  1.034  DISP
  1.034  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.034  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.035  ENDIF

# Set the system confidence level to 95%.
  1.036  MATH         @SysConf = 2
  1.037  MATH         @DevName = "Datron 9500"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.038  MATH         @SourceMultiCh = 1

  1.039  CALL         Sub LeCroy WSXs Set BW & Number of Channels
  1.040  CALL         Sub LeCroy WSXs Check Software Option IEEE

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    5.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    6.   LEAKAGE CURRENT(CH2)               EXTERNAL TRIGGER LEAKAGE CURRENT
#    7.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#    8.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#    9.   PEAK-PEAK NOISE LEVEL(CH2)         CHANNEL INPUT IMPEDANCE(CH2)
#   10.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#   11.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#   12.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#   13.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   14.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   15.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   16.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   17.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   18.   TIME BASE                          TIME BASE

  1.041  CALL         Sub LeCroy WSXs Self-Test IEEE

  1.042  IF           @Abort
  1.043  END
  1.044  ENDIF

  1.045  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.046  LABEL        CHANNEL_INPUT_IMPEDANCE
  1.047  MATH         @Chan = 1
  1.048  M9500                       CH1
  1.049  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /9500
  1.050  MATH         @Chan = 2
  1.051  M9500                       CH2
  1.052  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /9500
  1.053  JMPL         DC_GAIN_ACC

  1.054  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.055  MATH         @Chan = 5
  1.056  M9500                       CH1
  1.057  CALL         Sub LeCroy WSXs (1 yr) Ext Input Impedance IEEE /9500
  1.058  JMPL         CHANNEL_INPUT_IMPEDANCE

  1.059  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.064  MATH         @Chan = 5
  1.065  CALL         Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
  1.066  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.067  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.072  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.073  LABEL        DC_GAIN_ACC
  1.074  MATH         @Chan = 1
  1.075  M9500                       CH1
  1.076  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /9500
  1.077  MATH         @Chan = 2
  1.078  M9500                       CH2
  1.079  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /9500

  1.080  MATH         @Chan = 1
  1.081  M9500                       CH1
  1.082  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /9500
  1.083  MATH         @Chan = 2
  1.084  M9500                       CH2
  1.085  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /9500

  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /9500/600
  1.089  MATH         @Chan = 2
  1.090  M9500                       CH2
  1.091  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /9500/600

  1.092  MATH         @Chan = 1
  1.093  M9500                       CH1
  1.094  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /9500
  1.095  MATH         @Chan = 2
  1.096  M9500                       CH2
  1.097  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /9500

  1.098  MATH         @Chan = 1
  1.099  M9500                       CH1
  1.100  CALL         Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /9500

  1.101  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.102  END